Package org.apache.velocity.runtime.parser.node

# Class MapSetExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.SetExecutor
org.apache.velocity.runtime.parser.node.MapSetExecutor

public class MapSetExecutor extends SetExecutor
SetExecutor that is smart about Maps. If it detects one, it does not use Reflection but a cast to access the setter.

Since:
  1.5
Version:
  $Id$
Author:
  Henning P. Schmiedehausen

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SetExecutor

`log`

## Constructor Summary

Constructors
Constructor
Description
`MapSetExecutor(org.slf4j.Logger log, Class clazz, String property)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`discover(Class<?> clazz)`
`Object`
`execute(Object o, Object arg)`
Execute method against context.

### Methods inherited from class org.apache.velocity.runtime.parser.node.SetExecutor

`getMethod, isAlive, setMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapSetExecutor

public MapSetExecutor(org.slf4j.Logger log, Class clazz, String property)

## Method Details

### discover

protected void discover(Class<?> clazz)

### execute

public Object execute(Object o, Object arg)
Description copied from class: `SetExecutor`
Execute method against context.

Specified by:
  `execute` in class `SetExecutor`
Parameters:
  `o` -
  `arg` -
Returns:
  The result of the invocation.